from django.test import TestCase

from arkindex.project.tools import should_verify_cert  # noqa


class ToolsTest(TestCase):

    def test_should_verify_cert(self):
        self.assertTrue(should_verify_cert("https://google.fr/whatever"))
        self.assertFalse(should_verify_cert("https://minio.ark.localhost/bucket/object"))
        self.assertFalse(should_verify_cert("https://ark.localhost/corpus"))
        self.assertTrue(should_verify_cert(None))
