

from arkindex.ponos.utils import get_process_from_task_auth


class CurrentProcessDefault:
    """
    Use the process of the currently authenticated task as a default value.
    If Ponos task authentication is not in use, returns None.
    """
    requires_context = True

    def __call__(self, serializer_field):
        return get_process_from_task_auth(serializer_field.context["request"])
